<ion-header [translucent]="true">
  <ion-toolbar mode="ios" color="rmgray">
    <div class="d-flex pl-18 justify-around">
      <div>
        <ion-img src="assets/img/logo2.png" class="logo"></ion-img>
      </div>
      <div>
        <ion-input class="input text-bold" placeholder="search category" clearInput (ionChange)="handleChange($event)" debounce="1000">
          <ion-icon name="search-outline" class="icon p-5"></ion-icon>
        </ion-input>
      </div>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true" color="rmgray">
  <div class="bold text-md p-20">
    <div>
      <span class="block l-30">Hello! Welcomme To</span>
      <span class="color-purple">DeezMusique</span>
    </div>
  </div>
  <div>
    <div class="section-title d-flex justify-between">
      <ion-slides pager="true" [options]="slideOpts" mode="ios">
        <!-- <ion-slide>
          <div class="d-flex">
            <ion-img src="assets/img/img8.jpg"></ion-img>
          </div>
        </ion-slide> -->

        <!-- <ion-slide>
          <div>
            <ion-img src="assets/img/img1.png"></ion-img>
          </div>
        </ion-slide> -->

        <ion-slide>
          <div>
            <ion-img src="assets/img/music4.png"></ion-img>
          </div>
        </ion-slide>
      </ion-slides>
    </div>
    <div>
      <p class="text-center bold">
        <ion-text class="uppercase"> your musical genres </ion-text>
      </p>
      <div class="overflow-scroll d-flex section-genre">
        <div *ngFor="let genre of resultsOfFilter">
          <ion-card class="test" (click)="toPage(genre)">
            <div>
              <ion-img :src="{{genre.img}}" class="clipath1"></ion-img>
              <div class="test">
                <h5 class="text-center m-auto">
                  <ion-text class="bold text-white text-center uppercase">{{genre.name}}</ion-text>
                </h5>
              </div>
            </div>
          </ion-card>
        </div>
      </div>
    </div>
    <div>
      <p class="text-center bold">
        <ion-text class="uppercase">recently listened music</ion-text>
      </p>
      <div *ngIf="recentMusicPlay.size <= 0">
        <p class="text-center"> <ion-text color="rmpink"> No Music Played Yet !</ion-text></p>
      </div>

      <div>
        <ion-grid>
          <ion-row>
            <ion-col size="6" *ngFor="let  recentMusic of recentMusicPlay | keyvalue">
              <ion-card class="card">
                <div class="section-music">
                  <img :src="{{recentMusic.value.img}}" class="clipath1 card-img" />
                  <ion-label class="bold text-white text-center uppercase">
                    <h5 class="text-center m-auto">{{recentMusic.key.name}}</h5>
                  </ion-label>
                  <ion-button fill="clear" class="play-button m-auto"
                    (click)="playMusic(recentMusic.key , recentMusic.value)">
                    <ion-icon slot="icon-only" name="play" class="play-icon" color="rmpink"></ion-icon>
                  </ion-button>
                </div>
              </ion-card>

            </ion-col>
          </ion-row>
        </ion-grid>
      </div>
      <!-- <div class="mt-10">
        <ion-icon name="{{isLikeIcon}}" class="heart-icon" (click) = "liked()"></ion-icon>
      </div> -->
    </div>
  </div>
</ion-content>